nav {
  padding: 46px 0 22px;
  background-color: #fffeffe5;
  border-bottom: 1px solid var(--color-second-light-grey);
  margin-bottom: 40px;
}

nav a.logo {
  height: 42px;
  display: block;
  width: 88px;
}

.cart-section {
  margin-bottom: 98px;
}

.line-vertical {
  background-color: var(--color-tertiary-light-grey);
}

.title-Cart {
  margin-bottom: 32px;
}

.title-Cart .line-vertical {
  background-color: var(--color-tertiary-light-grey);
  height: 18px;
}

.carrinho {
  margin-bottom: 56px;
}

.btn-voltar {
  padding: 9px 22px 9px 8px;
  border-radius: var(--border-radius-lg);
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
  border: none;
  transition: all var(--transition-duration) ease;
}

.grelhaProdutos .produto {
  margin-bottom: 8px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border: 1px solid transparent;
  border-radius: 16px;
  padding: 20px 26px;
}

.contagem-artigos {
  margin-bottom: 24px;
  padding: 20px 26px;
  display: flex;
  align-items: center;
  gap: 8px;
}

.grelhaProdutos .produto:hover {
  border: 1px solid var(--color-tertiary-light-grey);
}

.grelhaProdutos .produto .imagemProduto img {
  width: 100px;
  height: 100px;
}

.grelhaProdutos .produto .detalhesProduto,
.grelhaProdutos .produto .info-total-product {
  display: flex;
  flex-direction: column;
  gap: 22px;
}

.grelhaProdutos .produto .detalhesProduto .line-vertical {
  height: 32px;
  color: var(--color-light-grey);
}

.grelhaProdutos .produto:hover .detalhesProduto .active-hover {
  color: var(--color-black);
}

.product-favorites {
  width: 42px;
  height: 42px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: var(--border-radius-42);
}

.product-favorites:hover {
  background: var(--color-second-light-grey);
}

.product-favorites:hover .nofav {
  color: var(--color-red);
}

.product-favorites .nofav {
  color: var(--color-dark-grey);
}

.product-favorites .fav {
  color: var(--color-red);
}

.quantidadeProduto {
  display: flex;
  align-items: center;
  gap: 8px;
}

.grelhaProdutos .produto:hover .amount-product {
  border: 1px solid var(--color-tertiary-light-grey);
}

.grelhaProdutos .produto:hover .info-total-product span {
  color: var(--color-black);
}

.resumoCompra {
  padding: 24px;
  box-shadow: 0px 0px 12px 6px #737b7d1a;
  border-radius: 16px;
  background-color: var(--color-white);
  gap: 24px;
  display: flex;
  flex-direction: column;
  position: sticky;
  top: 120px;
}

.resumoCompra-fixed {
  padding: 24px;
  box-shadow: 0px 0px 12px 6px #737b7d1a;
  border-radius: 16px;
  background-color: var(--color-white);
  gap: 24px;
  display: flex;
  flex-direction: column;
  position: fixed;
  bottom: 5%;
  left: 50%;
  transform: translateX(-50%);
  width: calc(100% - 40px);
  z-index: 800;
}

.resumo-title .line-vertical {
  background-color: var(--color-black);
  height: 16px;
}

.resumoCompra .line {
  background-color: var(--color-second-light-grey);
}

.btn-black {
  color: var(--color-white);
  background-color: var(--color-black);
  line-height: 1.4;
  text-align: center;
  font-family: "Roboto", sans-serif;
  font-size: 13px;
  font-weight: 700;
  height: 32px;
  width: 90px;
  border-radius: var(--border-radius-42);
  border: none;
}

.btn-black:hover {
  background-color: var(--color-hover-blue);
}

.voucher {
  font-family: "Roboto", sans-serif;
  font-size: 13px;
  font-weight: 400;
  padding: 7px 18px;
  border-radius: var(--border-radius-36);
  border: 1px solid var(--color-second-light-grey);
  background-color: var(--color-white);
  outline: none;
  color: var(--color-black);
  height: 32px;
  width: 100%;
}

.progress {
  margin-top: 8px;
  height: 6px;
  color: var(--color-blue);
  border-radius: 8px;
  background-color: var(--color-tertiary-light-grey);
}

.progress-bar {
  border-radius: 8px;
}

.btn-blue {
  border: none;
  height: 42px;
}

.moradaEntrega-header {
  margin-bottom: 56px;
}

.transportadora-item input[type="radio"],
.morada-item input[type="radio"] {
  display: none;
}

.btn-outline {
  border: 1px solid #c7c7c7;
  background: transparent;
  border-radius: var(--border-radius-42);
  width: 100%;
  max-width: 192px;
  height: 42px;
  gap: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition:
    background-color 0.3s ease,
    color 0.3s ease;
}

.btn-outline:hover {
  border: 1px solid var(--color-black);
  background: var(--color-black);
  color: var(--color-white);
}

.content-search {
  border: none;
  margin-right: 12px;
}

.search-bar {
  border: 1px solid var(--color-second-light-grey);
  border-radius: 36px;
  overflow: hidden;
}

#search-encomenda {
  height: 42px;
}

.transportadora-card,
.morada-card {
  display: block;
  padding: 24px;
  border-radius: 16px;
  border: 1px solid var(--color-second-light-grey);
  cursor: pointer;
  background: var(--color-white);
  transition: all 0.25s ease-out;
  margin-bottom: 24px;
  height: -webkit-fill-available;
}

.transportadora-card:hover,
.morada-card:hover {
  box-shadow: 0px 0px 12px 6px #737b7d1a;
}

.morada-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 16px;
}

.transportadora-header {
  height: 48px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 28px;
}

.transportadora-header img {
  height: 36px;
}

.morada-body {
  display: grid;
  grid-template-columns: 1.5fr 1fr;
  gap: 24px;
}

.morada-body .title-2 {
  margin-bottom: 12px;
}

.radio-custom {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  border: 2px solid var(--color-second-light-grey);
  position: relative;
  transition: all 0.25s ease;
}

.morada-card:hover .radio-custom,
.transportadora-card:hover .radio-custom {
  border: 2px solid var(--color-black);
}

.radio-custom::after {
  content: "";
  position: absolute;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: var(--color-blue);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  transition: 0.2s ease;
}

.transportadora-item input[type="radio"]:checked + .transportadora-card,
.morada-item input[type="radio"]:checked + .morada-card {
  box-shadow: 0px 0px 12px 6px #737b7d1a;
}

.transportadora-item
  input[type="radio"]:checked
  + .transportadora-card
  .radio-custom,
.morada-item input[type="radio"]:checked + .morada-card .radio-custom {
  border-color: var(--color-blue);
}

.transportadora-item
  input[type="radio"]:checked
  + .transportadora-card
  .radio-custom::after,
.morada-item input[type="radio"]:checked + .morada-card .radio-custom::after {
  transform: translate(-50%, -50%) scale(1);
}

.transportadora-card .transport-icons,
.transportadora-card .transport-icons svg {
  transition: transform 0.4s ease;
  transform-origin: top left;
}

.transportadora-card:hover .transport-icons,
.transportadora-card:hover .transport-icons {
  transform: scale(1.08);
}

.transportadora-card:hover .transport-icons,
.transportadora-card:hover .transport-icons {
  color: var(--color-blue);
}

#btn-avancar {
  width: 148px;
}

.grelhaMoradas,
.grelhaTransportadoras {
  margin-bottom: 12px;
}

.grelhaTransportadoras {
  margin-top: 140px;
}

.transportadora-header-rightside {
  display: flex;
  align-items: center;
  gap: 16px;
  padding: 7px 16px;
}

.product-description {
  margin-left: 84px;
}

.morada-info {
  border: 1px solid var(--color-second-light-grey);
  padding: 24px;
  border-radius: 16px;
}

.entregaGratuita {
  color: var(--color-success);
}

.portes {
  color: var(--color-black);
}

.observacoes-encomenda textarea {
  border-radius: 16px;
  border: 1px solid var(--color-second-light-grey);
}

.observacoes-encomenda textarea::placeholder {
  line-height: 90px;
  /* ajusta este valor até ficar centrado */
}

.observacoes-encomenda:hover textarea {
  border-radius: 16px;
  border: 1px solid var(--color-tertiary-light-grey);
}

.line-pagamento {
  border: 1px solid var(--color-dark-grey);
}

.totalapagar {
  margin-bottom: 86px;
}

.btn-black-edit {
  background-color: var(--color-black);
  border: none;
  border-radius: 30px;
  padding: 7px 12px;
  display: flex;
  gap: 8px;
  align-items: center;
  color: white;

  opacity: 0;
  visibility: hidden;

  transition:
    opacity 0.25s ease,
    transform 0.25s ease,
    visibility 0.25s ease;
}

.morada-info-moradas {
  display: block;
  padding: 24px;
  border-radius: 16px;
  border: 1px solid var(--color-second-light-grey);
  cursor: pointer;
  background: var(--color-white);
  transition: all 0.25s ease-out;
  margin-bottom: 24px;
}

.morada-info-moradas:hover .btn-black-edit {
  opacity: 1;
  visibility: visible;
}

.morada-info-moradas:hover {
  box-shadow: 0px 0px 12px 6px #737b7d1a;
}

.morada-item {
  display: flex;
  flex-direction: column;
}

.morada-info-moradas,
.transportadora-card {
  flex: 1;
}

.thanks-section {
  margin-bottom: 32px;
}

#btn-continuar {
  display: flex;
  gap: 12px;
  align-items: center;
  justify-content: center;
}

#btn-ver-encomendas,
#btn-continuar {
  width: 240px;
  max-width: 240px;
}

.content-search:hover,
.content-search:hover .search-bar .line-vertical {
  border: none;
}

.content-search:hover .search-bar,
.content-search:hover .search-bar .line-vertical {
  border: 1px solid var(--color-tertiary-light-grey);
}

.div-totals {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-top: 24px;
}

#RemoverCarrinho .btn-black {
  border: none;
  height: 42px;
}

.form-check-input {
  margin-right: 12px;
  border-radius: 4px;
  margin-top: 2px;
  width: 16px;
  height: 16px;
}

.form-check-input:checked {
  background-color: black;
  border-color: black;
}

.form-check a {
    color: var(--color-blue);
    text-decoration: none;
}

.search-morada-carrinho{
  margin-top:140px;
}


.menu-geral-desktop{
    display:none;
}


@media (max-width: 992px) {
  #progress-envio {
    margin-top: 24px;
  }

  .grelhaTransportadoras {
    margin-top: 32px;
  }

  .content-search {
    border: none;
    margin-right: 0;
    margin-bottom: 16px;
  }

  .buttons-section {
    flex-direction: column !important;
    align-items: center !important;
  }

  /* Esconder colunas Documento, Data e Vencimento */
  #carrinho-table thead tr th:nth-child(3),
  #carrinho-table thead tr th:nth-child(5),
  #carrinho-table thead tr th:nth-child(7),
  #carrinho-table tbody tr td:nth-child(3),
  #carrinho-table tbody tr td:nth-child(5),
  #carrinho-table tbody tr td:nth-child(7),
  #confirmacao-encomenda-table thead tr th:nth-child(2),
  #confirmacao-encomenda-table thead tr th:nth-child(5),
  #confirmacao-encomenda-table thead tr th:nth-child(6),
  #confirmacao-encomenda-table tbody tr td:nth-child(2),
  #confirmacao-encomenda-table tbody tr td:nth-child(5),
  #confirmacao-encomenda-table tbody tr td:nth-child(6) {
    display: none;
  }

  .grelhaMoradas {
    display: flex;
    gap: 32px;
  }

  #carrinho-table tr {
    text-align: center;
  }

  .moradaEntrega-header-top {
    margin-bottom: 56px;
  }

  .observacoes-encomenda textarea.form-control {
    line-height: 1.4;
  }

  .observacoes-encomenda textarea.form-control::placeholder {
    line-height: 1.4;
  }

  /* ********************************** */
  /* CARDS DE PRODUTOS EM MOBILE */
  /* ********************************* */

  .products-grid {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow-y: visible;
  }

  .products-grid .products-row {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    gap: 20px 0;
  }

  .product-card,
  .product-card *,
  .sidebar *,
  .product-card .product-overlay *,
  .order-selector * {
    transition: all var(--transition-duration) ease;
  }

  .product-card:hover {
    box-shadow: var(--box-shadow);
  }

  .product-card .img-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 16px 16px 0 16px;
    overflow: hidden;
    min-height: 240px;
    min-width: 301px;
    border-bottom: 1px solid var(--color-light-grey);
  }

  .product-card img {
    object-fit: scale-down;
    transition: opacity var(--transition-duration) ease;
  }

  .product-card .product-data {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    /* gap: 28px; */
    padding: 0 16px 16px 16px;
  }

  .product-card .product-data .text-box {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 6px;
  }

  .product-card .product-data .text-box .meta {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  .product-card .product-data .actions {
    display: flex;
    flex-direction: column;
    gap: 8px;
  }

  .product-card .product-data .actions .label {
    color: var(--color-dark-grey);
  }

  .product-card .product-data .actions .input,
  .add-to-cart-card .actions .input {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    border: 1px solid var(--color-light-grey);
    border-radius: var(--border-radius-lg);
    height: 42px;
  }

  .product-card
    .product-data
    .actions
    .input:hover
    .add-to-cart-card
    .actions
    .input:hover {
    border-color: var(--color-dark-grey);
  }

  .product-card .product-data .actions .input .input-btn,
  .add-to-cart-card .actions .input .input-btn {
    color: var(--color-dark-grey);
    background-color: transparent;
    border-radius: var(--border-radius-lg);
    padding: 7px 15px;
    margin: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .product-card .product-data .actions .input .input-btn:hover,
  .add-to-cart-card .actions .input .input-btn:hover {
    color: var(--color-white);
    background-color: var(--color-black);
  }

  .product-card .product-data .actions .price .values {
    display: flex;
    align-items: center;
    justify-content: end;
    width: 100%;
    gap: 8px;
  }

  .price .values .old-value {
    font-weight: bold;
    text-decoration: line-through;
    color: var(--color-red);
    display: flex;
    align-items: end;
  }

  .price .values .new-value {
    font-weight: bold;
    color: var(--color-blue);
  }

  .product-data .actions .cart {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .product-data .actions .cart .icon-container a {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    width: 42px;
    height: 42px;

    padding: 0;
    text-decoration: none;
    color: var(--color-dark-grey);
    background-color: var(--color-light-grey);
    border-radius: 50%;
  }

  .product-data .actions .cart .icon-container:hover a {
    border-radius: var(--border-radius-lg);
    background-color: var(--color-light-grey);
    color: var(--color-red);
  }

  .product-data .actions .btn-blue-hover {
    color: var(--color-dark-grey);
  }

  .product-data .actions .btn-blue-hover:hover {
    color: var(--color-white);
  }

  .product-card {
    box-shadow: var(--box-shadow);
    display: flex;
    flex-direction: column;
    gap: 8px;
    border-radius: var(--border-radius-sm);
    overflow: hidden;
    min-height: 478px;
    justify-content: center;
    position: relative;
  }

  .product-card-as-cat .img-container {
    border-radius: 0;
    width: 100%;
  }

  .btn-blue-hover {
    background-color: var(--color-blue);
  }

  .btn-blue-hover,
  .btn-blue-hover * {
    color: var(--color-white);
  }

  .hamburger-btn {
    display: flex;
    justify-content: end;
    align-items: center;
    color: var(--color-1bigo-blue);
  }

  .sticky-bottom-bar {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100px;
    z-index: 999;
    background: var(--color-white);
    box-shadow: var(--box-shadow);
    border-top-left-radius: var(--border-radius-sm);
    border-top-right-radius: var(--border-radius-sm);
    width: 100vw;
    max-width: 100vw;
  }

  .product-card .img-container.showcase {
    display: flex;
    flex-direction: row;
    overflow-x: auto;
    gap: 24px;
    scroll-snap-type: x mandatory;
    padding-left: 368px;
  }

  .img-container.showcase img {
    scroll-snap-align: start;
  }

  .cart .btn {
    align-items: center;
    justify-content: center;
    display: flex;
    gap: 8px;
    padding: 8px 14px;
  }

  /* ***********************OVERLAY DATA PRÉ-VENDA***************************** */
  .product-card .product-overlay .info .expandable-content {
    max-width: 0;
    opacity: 0;
    overflow: hidden;
    padding: 0;
    white-space: nowrap;
    align-items: center;
    display: flex;
    transition:
      max-width 0.3s ease,
      opacity 0.2s ease,
      padding 0.3s ease;
  }

  .product-card .product-overlay {
    position: absolute;
    width: 100%;
    left: 0;
    top: 0;
    display: flex;
    padding: 16px;
  }

  .product-card .product-overlay .info {
    flex-direction: row;
    display: flex;
    padding: 8px;
    background-color: var(--color-pink);
    border-radius: var(--border-radius-lg);
    text-decoration: none;
  }

  .product-card .product-overlay .info .icon-container {
    display: flex;
    color: var(--color-white);
  }

   .product-card .product-overlay .info .expandable-content {
    max-width: 1000px;
    opacity: 1;
    padding: 0 8px;
  }


  .product-card .product-overlay .info .expandable-content p {
    color: var(--color-white);
  }

  .product-card .product-overlay .info:hover .expandable-content {
    max-width: 1000px;
    opacity: 1;
    padding: 0 8px;
  }



  #grelhaProdutos{
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
  } 

  /* ******************************************************************* */

  .msg-add,
  .msg-remove {
    position: absolute;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: calc(100% - 246px);
    z-index: 3;
    background-color: var(--color-white);
    padding: 16px;
    pointer-events: none;
  }

  .msg-add .msg-container,
  .msg-remove .msg-container {
    margin: 0 50px;
    text-align: center;
  }

  .msg-add .icon,
  .msg-remove .icon {
    color: var(--color-blue);
  }

  .search-morada-carrinho{
    margin-top:0px;
  }

 
    .menu-carrinho-desktop{
        display:none;
    }

}
